{filters special colors from a file}
uses dos,crt;
var f:file of byte;
    f1:file of byte;
    b:byte;
begin
  assign(f,'arml1.msk');
  assign(f1,'arml1.ms1');
  reset(f);
  rewrite(f1);
  writeln;
  repeat
    if random<0.01 then write('.');
    read(f,b);
    if (b>0) then b:=128;
    write(f1,b);
  until eof(f);
  close(f);
  close(F1);
end.